#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/..
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### kcm_cddb (module) #########################

tde_add_kpart( kcm_cddb AUTOMOC
  SOURCES
    cddbconfigwidgetbase.ui
    cddbconfigwidget.cpp
    kcmcddb.cpp
  LINK
    kcddb-shared tdeui-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data ################################

install( FILES libkcddb.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES kcmcddb-emailsettings.upd DESTINATION ${DATA_INSTALL_DIR}/tdeconf_update )
